/* custom.css */
/*.post__image {
    object-fit: cover;
    object-position: top;
    aspect-ratio: 10 / 4;
}
*/

.itemIconLink {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    vertical-align: middle
}

    .itemIconLink img {
        width: 48px;
        height: 48px;
    }

    .itemIconLink a {
        text-decoration: none;
    }

 /*Изображения*/

@media (min-width: 768px) {
    .wiki-static__cover {
        height: 11rem;
    }
}

@media (min-width: 1050px) {
    .wiki-static__cover {
        aspect-ratio: 0;
        height: 20rem;
    }
}

.wiki-static__cover {
    width: 100%;
    display: block;
    border: 1px solid rgba(214, 163, 141, .588);
    border-radius: 1.25rem;
    box-sizing: border-box;
    margin-bottom: .625rem;
    aspect-ratio: 10 / 5;
    -o-object-fit: cover;
    object-fit: cover;
    -o-object-position: center top;
    object-position: center top;
}

/*Плитка*/

.wiki-grid {
    display: grid;
    /*grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));*/
    grid-template-columns: repeat(2, minmax(200px, 470px));
    gap: 20px;
    padding: 20px;
}

.wiki-grid__item {
    display: flex;
    justify-content: center;
}


/* Для мобильных устройств - одна колонка */
@media (max-width: 768px) {
    .wiki-grid {
        grid-template-columns: 1fr;
        gap: 15px;
    }
}

/*Иконки в ряд*/

.drops-container {
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
    align-items: center;
}

.drop-icon {
    width: 48px;
    height: 48px;
    border-radius: 4px;
    object-fit: cover;
    flex-shrink: 0;
}

/* Адаптивность для маленьких экранов */
@media (max-width: 768px) {
    .drops-container {
        max-width: 150px;
        gap: 3px;
    }

    .drop-icon {
        width: 28px;
        height: 28px;
    }
}

/*Монстры*/

.monster-container {
    display: flex;
    gap: 30px;
    align-items: flex-start;
    justify-content: space-between;
    padding: 20px;
}

.monster-info {
    flex: 1;
    min-width: 0; /* Важно для правильного переноса текста */
}

.monster-image {
    flex: 0 0 auto;
    text-align: center;
}

    .monster-image img {
        max-width: 300px;
        width: 100%;
        height: auto;
        border: 1px solid rgba(214, 163, 141, .588);
        border-radius: 1.25rem;
    }

/* Планшеты */
@media (max-width: 768px) {
    .monster-container {
        flex-direction: column;
        gap: 20px;
    }

    .monster-image {
        order: -1; /* Картинка сверху на мобильных */
    }

        .monster-image img {
            max-width: 250px;
        }
}

/* Мобильные */
@media (max-width: 480px) {
    .monster-container {
        padding: 15px;
        gap: 15px;
    }

    .monster-image img {
        max-width: 200px;
    }
}